%define	major 3
%define	libname %mklibname autotrace %{major}
%define	develname %mklibname autotrace -d

Summary:	Program for converting bitmap to vector graphics
Name:		autotrace
Version:	0.31.1
%define subrel 1
Release:	%mkrel 46
Group:		Publishing
License:	GPLv2+ and LGPLv2+
URL:		http://autotrace.sourceforge.net
Source0:	http://prdownload.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		autotrace_0.31.1-13.diff
Patch1:		autotrace-0.31.1-swf-output.patch
Patch2:		autotrace-0.31.1-libpng-1.5.patch
Patch3:		autotrace-0.31.1-CVE-2013-1953.patch
Patch4:     autotrace-0.31.1-CVE-2016-7392.patch
BuildRequires:	pstoedit-devel
BuildRequires:	libxt-devel
BuildRequires:	imagemagick-devel
BuildRequires:	libpng-devel
BuildRequires:	multiarch-utils >= 1.0.3
# (Abel) doesn't work with newer libming                                           
#BuildConflicts:	libming-devel                                               
Provides:	fonttracer
Requires:	%{libname} = %{version}


%description
Autotrace is a program for converting bitmap to vector graphics.
Supported formats:

- Input formats: BMP, TGA, PNM, PPM, PGM, PBM and those supported by
  ImageMagick.

- Export formats: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, 
  mif, p2e and sk

%package -n	%{libname}
Summary:	Autotrace libraries
Group:		System/Libraries
# In the past, a package libautotrace4 existed which in reality
# contained /usr/lib/libautotrace.so.3.0.0. Make the correct
# libautotrace3 conflict with the wrong libautotrace4, to fix upgrade
Conflicts:	%mklibname autotrace 4

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with autotrace libraries.

%package -n	%{develname}
Summary:	Static libraries and header files for autotrace development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname autotrace 4 -d}

%description -n %{develname}
This package contains the static libraries and header files for
developing applications based on autotrace.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1 -b .CVE-2013-1953
%patch4 -p1 -b .CVE-2016-7392

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/autotrace-config


%files
%doc AUTHORS ChangeLog COPYING FAQ README THANKS
%{_bindir}/autotrace
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%multiarch %{multiarch_bindir}/autotrace-config
%{_bindir}/autotrace-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*


%changelog
* Thu Sep 15 2016 shlomif <shlomif> 0.31.1-46.1.mga5
+ Revision: 1053213
- Apply patch from Debian for MGA#19369.
  CVE-2016-7392.

* Wed Oct 15 2014 umeabot <umeabot> 0.31.1-46.mga5
+ Revision: 748766
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.31.1-45.mga5
+ Revision: 725976
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 0.31.1-44.mga5
+ Revision: 693468
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.31.1-43.mga5
+ Revision: 678069
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 fwang <fwang> 0.31.1-42.mga5
+ Revision: 586159
- rebuild for new imagemagick

* Sat Oct 19 2013 umeabot <umeabot> 0.31.1-41.mga4
+ Revision: 528816
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 luigiwalser <luigiwalser> 0.31.1-40.mga4
+ Revision: 447639
- add patch from opensuse to fix CVE-2013-1953

* Sun Jun 02 2013 fwang <fwang> 0.31.1-39.mga4
+ Revision: 434984
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.31.1-38.mga4
+ Revision: 429140
- rebuild for new imagemagick

* Fri Jan 11 2013 umeabot <umeabot> 0.31.1-37.mga3
+ Revision: 346695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.31.1-36.mga3
+ Revision: 336521
- fix build with new automake 1.13

* Fri Dec 14 2012 fwang <fwang> 0.31.1-35.mga3
+ Revision: 330728
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.31.1-34.mga3
+ Revision: 305072
- br libpng

* Tue Sep 13 2011 fwang <fwang> 0.31.1-34.mga2
+ Revision: 142823
- rebuild for new imagemagick

* Sun Sep 11 2011 fwang <fwang> 0.31.1-33.mga2
+ Revision: 142303
- add gentoo patch to build with libpng 1.5
- rebuild for new libpng

* Fri Apr 01 2011 spuhler <spuhler> 0.31.1-32.mga1
+ Revision: 79445
- added libxt-devel as buildrequires
- removed if mandriva macro req.
- imported package autotrace


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.31.1-32mdv2011.0
+ Revision: 553468
- rebuild for new imagmagick

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.31.1-31mdv2010.0
+ Revision: 436711
- rebuild

* Thu Jan 29 2009 Götz Waschk <waschk@mandriva.org> 0.31.1-30mdv2009.1
+ Revision: 335111
- rebuild for new libmagick

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new libxcb

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 0.31.1-28mdv2009.0
+ Revision: 284345
- Make libautotrace3 conflict with the wrongly named
  libautotrace4 package which really contained libautotrace.so.3

* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.31.1-27mdv2009.0
+ Revision: 283851
- added one huge debian patch to fix lots of build errors
- fix major
- apply new devel package naming

  + Emmanuel Andry <eandry@mandriva.org>
    - fix build with P2 from gentoo
    - fix license
    - apply devel policy
    - check major
    - drop old conditionnal

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.31.1-25mdv2008.1
+ Revision: 167673
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.31.1-24mdv2008.1
+ Revision: 146496
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.31.1-23mdv2008.0
+ Revision: 22581
- Rebuild with new jasper.

* Wed Apr 18 2007 David Walluck <walluck@mandriva.org> 0.31.1-22mdv2008.0
+ Revision: 14288
- rebuild


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.31.1-21mdv2007.0
+ Revision: 122451
- Rebuilt against latest ImageMagick.
- Import autotrace

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.31.1-20mdv2007.0
- Rebuild

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31.1-19mdv2007.0
- Rebuild with latest dbus

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.31.1-18mdk
- rebuilt against new Magick libs

* Fri Feb 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.31.1-17mdk
- Rebuild for new ImageMagick

* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31.1-16mdk 
- Rebuild

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.31.1-15mdk
- rebuilt against new Magick libs

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 0.31.1-14mdk
- Rebuild for lack of libdpstk.so.1

* Fri Aug 05 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.31.1-13mdk
- Rebuilt against latest ImageMagick.

* Mon Mar 21 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-12mdk
- Rebuilt against latest pstoedit.
- multiarchify.

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 0.31.1-11mdk
- rebuild

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 0.31.1-10mdk
- P1: Fix warning with automake 1.8

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 0.31.1-9mdk 
- Provides "fonttracer" (potrace has same function)
- UTF-8 spec

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 0.31.1-8mdk
- Fix BuildRequires
- P0: Fix ImageMagick 6.x detection

* Sun Aug 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-7mdk
- Rebuilt against current ImageMagick.

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.31.1-6mdk 
- rebuild for new ImageMagick

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.31.1-5mdk
- buildrequires
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- cosmetics

